# Google Data APIs Client Library (1.43.0)

## com.google.gdata.util
Class OAuthProxyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.gdata.util.ServiceException
                  com.google.gdata.util.OAuthProxyException

All Implemented Interfaces:
  java.io.Serializable

    public class OAuthProxyException

extends ServiceException

Represents an error thrown by the OAuth Proxy in an App Engine environment. Provides getters/setters for OAuth Proxy-specific parameters.

See Also:
  Serialized Form

Constructor Summary
`OAuthProxyException(java.net.HttpURLConnection httpConn)` Creates a new `OAuthProxyException`, and populates the OAuth Proxy specific parameters from the `HttpURLConnection`.

Method Summary
`java.lang.String` `getApprovalUrl()` Gets the value of the "x_oauth_approval_url" header from the http response.
`java.lang.String` `getError()` Gets the value of the "x_oauth_error" header from the http response.
`java.lang.String` `getErrorText()` Gets the value of the "x_oauth_error_text" header from the http response.
`java.lang.String` `getState()` Gets the value of the "x_oauth_state" header from the http response.

Methods inherited from class com.google.gdata.util.ServiceException

`addSibling, getCodeName, getDebugInfo, getDomainName, getExtendedHelp, getHttpErrorCodeOverride, getHttpHeader, getHttpHeaders, getInternalReason, getLocation, getLocationType, getMessage, getOAuthProxyResponse, getResponseBody, getResponseContentType, getSendReport, getSiblings, hasOAuthProxyResponse, initCause, matches, matchesAny, setCode, setDebugInfo, setDomain, setExtendedHelp, setHeaderLocation, setHttpErrorCodeOverride, setInternalReason, setLocation, setResponse, setResponseBody, setResponseContentType, setSendReport, setXpathLocation, toString, toXmlErrorMessage, toXmlErrorMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OAuthProxyException

    public OAuthProxyException(java.net.HttpURLConnection httpConn)
                        throws java.io.IOException

  Creates a new `OAuthProxyException`, and populates the OAuth Proxy specific parameters from the `HttpURLConnection`.

  Parameters:
    `httpConn` - The http response.
  Throws:
    `java.io.IOException`

Method Detail

### getState

    public java.lang.String getState()

  Gets the value of the "x_oauth_state" header from the http response.

### getApprovalUrl

    public java.lang.String getApprovalUrl()

  Gets the value of the "x_oauth_approval_url" header from the http response.

### getError

    public java.lang.String getError()

  Gets the value of the "x_oauth_error" header from the http response.

### getErrorText

    public java.lang.String getErrorText()

  Gets the value of the "x_oauth_error_text" header from the http response.